%
%
% Unzip all files in Matlab current directory and
% type "irisphase" on Matlab command window.
%
%
% FUNCTIONS
%
% Select image:                                  read the input image
%
% Add selected image to database:                the input image is added to database and will be used for training
%
% Database Info:                                 show informations about the images present in database.
%
% Iris Recognition:                              iris matching. The selected input image is processed
%
% Delete Database:                               remove database from the current directory
%
% Info:                                          show informations about this software
%
%
% Source code for Iris Recognition System:       how to obtain the complete source code
%
% Exit:                                          quit program
%
%
% First, select an input image clicking on "Select image".
% Then you can
%   - add this image to database (click on "Add selected image to database"
%   - perform iris recognition (click on "Iris Recognition" button)
%     Note: If you want to perform iris recognition database has to include 
%     at least one image.
%  If you choose to add image to database, a positive integer (iris ID) is
%  required. This posivive integer is a progressive number which identifies
%  a person (each person corresponds to a class).
% For example:
%  - run the GUI (type "irisphase" on Matlab command window)
%  - delete database (click on "Delete Database")
%  - add "iris_mike1.jpg" to database ---> the ID has to be 1 since Mike is the first
%    person you are adding to database
%  - add "iris_mike2.jpg" to database ---> the ID has to be 1 since you have already
%    added a Mike's image to database
%  - add "iris_paul1.jpg" to database ---> the ID has to be 2 since Paul is the second person
%    you are adding to database
%  - add "iris_cindy1.jpg" to database ---> the ID has to be 3 since Cindy is
%    the third person you are adding to database
%  - add "iris_paul2.jpg" to database ---> the ID has to be 2 once again since
%    you have already added Paul to database
%  - add "iris_paul3.jpg" to database ---> the ID has to be 2 once again since
%    you have already added Paul to database
%   
% ... and so on! Very simple, isnt't?
%
%
% 
% 
%  
% In order to obtain the complete source code please visit
% 
% http://www.advancedsourcecode.com/irisphase.asp
%
%
%  References:
%
%  An Efficient Iris Recognition Algorithm Using Phase-Based Image
%  Matching.[Proc. the 2005 IEEE Int. Conf. Image Processing,(2005),II-49-II-52]
%  K. Miyazawa, K. Ito, T. Aoki, K. Kobayashi and H. Nakajima
%
%  Libor Masek's dissertation is available at
%  http://www.csse.uwa.edu.au/~pk/studentprojects/libor/LiborMasekThesis.pdf
%
%  All tests were performed with CASIA Iris Image Database available at
%  http://www.cbsr.ia.ac.cn/IrisDatabase.htm
%
% 
% 
% Luigi Rosa
% Via Centrale 35
% 67042 Civita di Bagno
% L'Aquila - ITALY 
% email luigi.rosa@tiscali.it
% mobile +39 3207214179 
% website http://www.advancedsourcecode.com
%
%
